Subject: Re: [PATCH 20/31]: pkt_sched: Perform bulk of qdisc destruction in RCU.

From: Roland Dreier <[email-masked]>
Date: Fri, 18 Jul 2008 10:10:21 -0700

> The question is whether the packets sitting on the fifo qdisc are being
 > sorted fairly when congestion kicks in. Remember there is still a single
 > wire still even on multiple rings;->

This is definitely true, but it is good to keep in mind that in the near
future we will start to see things look a little like multiple "virtual
wires."  This is because of new ethernet standards like per-priority
pause, which makes it possible that one hardware ring on a NIC can
transmit while another ring is paused (possibly because of congestion
far off in the network).

 - R.
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html